## com.google.appengine.api.quota
Enum QuotaService.DataType

    java.lang.Object
      java.lang.Enum<QuotaService.DataType>
          com.google.appengine.api.quota.QuotaService.DataType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<QuotaService.DataType>

Enclosing interface:
  QuotaService

    public static enum QuotaService.DataType

extends java.lang.Enum<QuotaService.DataType>

Represents all types of data that a QuotaService might be able to provide.

Enum Constant Summary
`API_TIME_IN_MEGACYCLES`
`CPU_TIME_IN_MEGACYCLES`

Method Summary
`static QuotaService.DataType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QuotaService.DataType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### API_TIME_IN_MEGACYCLES

    public static final QuotaService.DataType API_TIME_IN_MEGACYCLES

### CPU_TIME_IN_MEGACYCLES

    public static final QuotaService.DataType CPU_TIME_IN_MEGACYCLES

Method Detail

### values

    public static QuotaService.DataType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (QuotaService.DataType c : QuotaService.DataType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static QuotaService.DataType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null